Summary:       Parallel brute forcing password cracker
Name:          medusa
Version:       2.1.1
Release:       5%{?dist}
License:       GPLv2
Group:         Applications/System
URL:           http://www.foofus.net/jmk/medusa/medusa.html
Source0:       http://www.foofus.net/jmk/tools/%{name}-%{version}.tar.gz
Patch1:        medusa-configure.patch

#fix buffer oveflow in the medusa-trace.c printing special chars in hexa
#reported upstream on 2013/02/02
Patch2:        medusa-trace-overflow.patch

BuildRequires: autoconf automake libtool
BuildRequires: openssl-devel apr-devel libssh2-devel
BuildRequires: subversion-devel postgresql-devel pcre-devel
BuildRequires: afpfs-ng-devel libgcrypt-devel
BuildRequires: perl-Carp

%description
Medusa is a speedy, massively parallel, modular,
login brute-forcer for network services.
Some of the key features of Medusa are:

    * Thread-based parallel testing. Brute-force
      testing can be performed against multiple hosts,
      users or passwords concurrently.
    * Flexible user input. Target information
      (host/user/password) can be specified in a variety of ways.
      For example, each item can be either a single
      entry or a file containing multiple entries.
      Additionally, a combination file format allows
      the user to refine their target listing.
    * Modular design. Each service module exists
      as an independent .mod file.
      This means that no modifications are necessary
      to the core application in order to extend
      the supported list of services for brute-forcing.

%prep
%setup -q
%patch1 -p1 -b .configure
%patch2 -p1 -b .trace

%build
autoreconf -vif

# required type off64_t is not available under all environments, ugly hack for ugly system heasders
export CPPFLAGS="-Doff64_t=__off64_t %{optflags}" ; export CFLAGS="-Doff64_t=__off64_t %{optflags}"
%{configure} \
%ifarch x86_64
        --with-default-mod-path=/usr/lib64/medusa/modules \
%endif
        --enable-module-afp=yes

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
 
%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/medusa
%{_libdir}/medusa/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 2.1.1-2
- drop ncpfs as no longer in Fedora
- Cleanup spec

* Sat Feb 02 2013 Michal Ambroz <rebus AT seznam.cz> - 2.1.1-1
- update to version 2.1.1

* Sat Feb 02 2013 Michal Ambroz <rebus AT seznam.cz> - 2.1-3
- fix buffer overflow in medusa-trace.c related to printing special chars in hex formatting

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Michal Ambroz <rebus AT seznam.cz> - 2.1-1
- bump to version 2.1

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 2.0-3
- Rebuild against PCRE 8.30
- Fix compilation with newer GCC

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Jan F. Chadima <jchadima@redhat.com> - 2.0-1
- Bump version to 2.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.5-11
- bump for libssh2 rebuild

* Mon Sep 21 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.5-10
- rebuild for libssh2 1.2

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.5-9
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-7
- enable afpfs_ng backend

* Tue Mar 24 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-5
- drop empty NEWS file

* Thu Mar 20 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-4
- fix license type
- fix description

* Thu Mar 20 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-3
- add missing build reqs

* Thu Mar 19 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-2
- repair summary and url according to recomendations
- switch afp support off by default

* Mon Mar 16 2009 Jan F. Chadima <jchadima@redhat.com> - 1.5-1
- initial build
